local tabl = -- colors
  {
    ['transport-belt'] = {r=1,g=1,b=0}, -- yellow
    ['fast-transport-belt'] = {r=1,g=0,b=0}, -- red
    ['express-transport-belt'] = {r=0,g=1,b=1} -- cyan
  }

function on_built (event)
  local entity = event.created_entity
  if entity and tabl[entity.name] then
    -- draw_circle{color=…, radius=…, width=…, filled=…, target=…, target_offset=…, surface=…, time_to_live=…, forces=…, players=…, visible=…, draw_on_ground=…, only_in_alt_mode=…}
    rendering.draw_circle{
      color=tabl[entity.name], -- from table
      radius=4/32, -- in pixels
      filled=true, 
      target=entity, surface=entity.surface, forces={entity.force.name}, only_in_alt_mode=true}
  end
end

script.on_event(defines.events.on_built_entity, function(event)
  on_built (event)
end)

script.on_event(defines.events.on_robot_built_entity, function(event)
  on_built (event)
end)